%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name net-ldap
%global rubyabi 1.9.1

Summary:       Net::LDAP for Ruby (also called net-ldap) implements client access for the Lightweight Directory Access Protocol (LDAP), an IETF standard protocol for accessing distributed directory services
Name:          %{?scl_prefix}rubygem-%{gem_name}
Version:       0.3.1
Release:       1%{?dist}
Group:         Development/Languages
License:       GPLv2+ or Ruby
URL:           http://rubyldap.com/
Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:      %{?scl_prefix}ruby(abi) >= %{rubyabi}
Requires:      %{?scl_prefix}ruby(rubygems) 
BuildRequires: %{?scl_prefix}ruby(abi) >= %{rubyabi}
BuildRequires: %{?scl_prefix}rubygems-devel
# specs need metaid gem that is not in Fedora yet
#BuildRequires: %{?scl_prefix}rubygem(rspec-core)
#BuildRequires: %{?scl_prefix}rubygem(flexmock)
BuildRequires: %{?scl_prefix}rubygem(minitest)
Requires:      %{?scl_prefix}ruby(abi) = 1.9.1
BuildArch:     noarch
Provides:      %{?scl_prefix}rubygem(%{gem_name}) = %{version}
# this package obsoletes rubygem-ruby-net-ldap
Provides:      %{?scl_prefix}rubygem(ruby-net-ldap) = %{version}-%{release}
Provides:      %{?scl_prefix}rubygem-ruby-net-ldap = %{version}-%{release}
Obsoletes:     %{?scl_prefix}rubygem-ruby-net-ldap < 0.0.4-7

%description
Net::LDAP for Ruby (also called net-ldap) implements client access for the
Lightweight Directory Access Protocol (LDAP), an IETF standard protocol for
accessing distributed directory services. Net::LDAP is written completely in
Ruby with no external dependencies. It supports most LDAP client features and
a
subset of server features as well.
Net::LDAP has been tested against modern popular LDAP servers including
OpenLDAP and Active Directory. The current release is mostly compliant with
earlier versions of the IETF LDAP RFCs (2251–2256, 2829–2830, 3377, and
3771).
Our roadmap for Net::LDAP 1.0 is to gain full <em>client</em> compliance with
the most recent LDAP RFCs (4510–4519, plus portions of 4520–4532).


%package doc
Summary:   Documentation for %{name}
Group:     Documentation
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %scl "}
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:"}

%build
mkdir -p ./%{gem_dir}
%{?scl:scl enable %scl - << \EOF}
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
gem build %{gem_name}.gemspec
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# Change from /usr/bin/ruby to /usr/bin/env ruby
find %{buildroot} -type f | \
  xargs sed -i -e 's"^#!/usr/bin/ruby"#!/usr/bin/env ruby"'

%check
pushd .%{gem_instdir}
%{?scl:scl enable %{scl} "}
testrb -Ilib test
%{?scl:"}
%{?scl:scl enable %{scl} "}
#rspec spec
%{?scl:"}
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/License.rdoc
%exclude %{gem_instdir}/.autotest
%exclude %{gem_instdir}/.gemtest
%exclude %{gem_instdir}/.rspec
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Manifest.txt
%doc %{gem_instdir}/Contributors.rdoc
%doc %{gem_instdir}/Hacking.rdoc
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/autotest
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/test
%{gem_instdir}/testserver

%changelog
* Mon Feb 03 2014 Troy Dawson <tdawson@redhat.com> - 0.3.1-1
- Initial package
- Took sections of spec file from Fedora 0.3.1 spec file
